%define api_version 2
%define lib_major   17
%define libname %mklibname %{name}-%{api_version}_ %{lib_major}
%define develname %mklibname -d %{name}-%{api_version}

Summary:	Package containing code shared among gnome-panel, gnome-session, nautilus, etc
Name:		gnome-desktop
Version:	2.32.1
Release:	9
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	libxslt-proc
BuildRequires:	intltool >= 0.40.0
BuildRequires:	ldetect-lst

Provides:	%{name}-%{api_version} = %{version}-%{release}
Requires:	ldetect-lst >= 0.1.282
%rename %{name}-common

%description
This package contains some data files and other shared components of the
GNOME user environment.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries

%description -n %{libname}
This package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop.

%package -n %{develname}
Summary:	Development libraries, include files for gnome-desktop
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname -d gnome-desktop-2_ 2} < 2.32.1-8

%description -n %{develname}
Development libraries, include files for internal library libgnomedesktop.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-gnome-distributor="%{vendor}" \
	--disable-scrollkeeper \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make LIBS=-lm

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}-2.0

for d in `ls -1 %{buildroot}%{_datadir}/gnome/help/`; do
  %find_lang $d --with-gnome
  cat $d.lang >> %{name}-2.0.lang
done

%files -f %{name}-2.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/gnome-about
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.32.1-9
+ Revision: 0785a97
- MassBuild#440: Increase release tag


